Kilka pytań odnośnie konfiguracji Debiana


(Chillout) #1
  1. Zainstalowałem Debiana Stable z Kde i nie działa mi flash. Oddzielnie trzeba go instalować? (a dokładnie shockwave player)

Poproszę o najkrótszą drogę. :slight_smile:

  1. Które są lepsze kodeki libavcodec-extra-53 czy te które są z automatu zainstalowane w systemie?

(adao1003) #2
  1. W google chrome (nie chromium) jest wbudowana (w innych przeglądarkach jest stara wersja).

  2. Polecam zainstalować VLC. Ja nie instalowałem kodeków i wszystko chodzi.

PS. Najlepiej zaktualizuj debiana do wersji testing bo w stable są przestarzałe pakiety (stable jest głównie na servy).


(tomeeek64) #3

Adobe Flash w przeglądarce

Czy korzystarz z repozytoriów non-free? Jeżeli nie to otwórz terminal i wpisz:

nano /etc/apt/sources.list

Jeżeli w repozytoriach, które się wyświetlą będą wpisy non-free, niczego nie musisz dodawać. Jeżeli ich nie będzie, do otwartego pliku dodaj linie:

deb http://ftp.at.debian.org/debian/ wheezy main non-free contrib
deb-src http://ftp.at.debian.org/debian/ wheezy main non-free contrib
deb http://security.debian.org/ wheezy/updates main contrib non-free
deb-src http://security.debian.org/ wheezy/updates main contrib non-free
deb http://ftp.at.debian.org/debian/ wheezy-updates main non-free contrib
deb-src http://ftp.at.debian.org/debian/ wheezy-updates main non-free contrib

A następnie zapisz dokument (CTRL+X i Tak (t)/Yes (y)).

Zaktualizuj repozytoria:

apt-get update

Zainstaluj flashplayer z repozytoriów non-free:

apt-get install flashplugin-nonfree

Po ponownym uruchomieniu IceWeasel powinien działać FlashPlayer.

Jednakże technologia Adobe Flash na linuxa jest już nie rozwijana i pakiet prawdopodobnie nie będzie aktualizowany.

 

Drugą drogą, tak jak powiedział @adao1003, jest instalacja chromium. Otwórz konsolę i wpisz komendę:

apt-get install chromium

Aby uruchomić chromium wybierz go z menu lub wpisz w konsoli:

chromium

Do instalacji chromium nie wymagane są repozytoria non-free.

 

Kodeki

Instalacja VLC będzie najprostszym rozwiązaniem.

Otwórz konsolę i wpisz:

nano /etc/apt/sources.list

A następnie dodaj repozytorium wheezy-backports (jeżeli jeszcze nie intnieje):

deb http://ftp.at.debian.org/debian wheezy-backports main

Zapisz plik i zaktualizuj repozytoria:

apt-get update

Zainstaluj VLC wraz z wymaganymi zależnościami:

apt-get -t wheezy-backports install vlc
apt-get install libdvdcss

Druga komenda jest wymagana do poprawnego odtwarzania płyt DVD.

Aby uruchomić VLC wybierz go z menu lub w konsoli wpisz nazwę programu:

vlc

(adao1003) #4
  1. Chromium nie ma wbudowanego flesha

  2. Google chrome ja ścigałem z oficjalniej strony (po zainstalowaniu pakietu repo samo się doda), ale można też dodać repo.


(tomeeek64) #5

W takim razie można pobrać Chrome ze strony Google: https://www.google.com/intl/pl/chrome/browser/index.html?platform=linux#eula

I zainstalować za pomocą:

dpkg -i lokalizacja_pakietu.deb

Lub doinstalować PepperFlashPlayer do chromium i też będzie działało.


(Chillout) #6

Bez tych repozytoriów non free się nie obędzie? Standardowe nie wystarczą?

 

Korzystam z Firefoxa, więc Chrome odpada.

 

I co z kodekami: lepsze libavcodec-extra-53 czy zwykłe libavcodec


(tomeeek64) #7

Jeżeli chcesz korzystać z Firefoxa lu IceWeasel z flashem, musisz dodać repozytoria non-free (Adobe Flash jest na zamkniętej licencji). Zamienniki typu gnash niby są, ale w praktyce działa to dużo gorzej.

Co do kodeków to http://packages.debian.org/libavcodec-extra-53 - te nie wykluczają domyślnych. Są jedynie ich rozszerzeniem doinstaluj:

apt-get install libavcodec-extra-53

(Chillout) #8

Ostatnio bawiłem się debianem i instalując libavcodec-extra-53 przez centrum oprogramowania, program kazał mi odinstalować standardowe. Więc chyba nie mogą współistnieć :slight_smile:


(tomeeek64) #9

Z opisu: 

Czyli są dodatkowe i powinny móc się ze sobą połączyć.


(roobal) #10

Jeśteś raczej świadomym użytkownikiem Linuksa i użytkownikiem komputera i powinieneś wiedzieć, że Flasha instaluje się także w Ubuntu, a nawet trzeba doinstalować go w Windowsie, więc trochę dziwne pytanie z twojej strony.

 

Poza tym, że Stable jest używany na serwerach, to masz jakieś ciekawsze argumenty za tym, aby aktualizować system do testing? Dlaczego od razu nie Sida czy Experimental, w testing pakiety będą na pewno starsze, niż np. w Archu, mało tego w Sidzie często pakiety są starsze, niż w Archu, więc może lepiej od razu przerzucić się na Archa? Pytam tak z ciekawości, bo ja korzystam od dłuższego czasu z Debiana Stable (obecnie Wheezy) i jakoś nie robi mi to różnicy czy pakiet X ma numerek wersji 0.0.1 czy 0.0.8, specjalnie nie mam też potrzeby mieć najświeższych pakietów w systemie, to co mam działa dobrze,  działa stabilnie i nie bawi mnie gonitwa za numerkami, a aktualizacje bezpieczeństwa pojawiają się, gdy tylko zostanie wykryta jakaś luka. Być może Chillout też nie potrzebuje najnowszych wersji pakietów i dobrze mu na Stable, więc nie wiem po co komuś coś narzucać.

 

 

Nie, ponieważ twórcy Debiana ze względu na licencję nie mogą trzymać go w main, a non-free też nie jest dołączane domyślnie, prawdopodobnie ze względu na różnice praw w różnych krajach. Z tego co pamiętam, np. Mplayer i VLC we Francji jest zakaznym programem, gdyż pozwala on na obchodzenie zabezpieczeń płyt DVD.


(Chillout) #11

Jestem świadomym uzytkownikiem. Byłem pewien, że flash jest w pakiecie tak jak w ubuntu (ubuntu-restricted-extras)

Zainstalowałem flasha wg wskazówek tomeeek64

 

Tylko mała poprawka, bez tego:

deb http://security.debian.org/ wheezy/updates main contrib non-free

Bo podobno już w repozytoriach jest. W terminalu wywalało błąd o duplikacie.

 

Więc to mam zostawić: deb-src http://security.debian.org/ wheezy/updates main contrib non-free ? Czy też skasować? Bo jak skasowałem: deb http://security.debian.org/ wheezy/updates main contrib non-free to jest ok.

jarek@debian:~$ su
Hasło:
root@debian:/home/jarek# apt-get install libavcodec-extra-53
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
Następujące pakiety zostały zainstalowane automatycznie i nie są już więcej wymagane:
  browser-plugin-gnash gnash gnash-common libboost-thread1.49.0
Aby je usunąć należy użyć "apt-get autoremove".
Następujące pakiety zostaną USUNIĘTE:
  libavcodec53
Zostaną zainstalowane następujące NOWE pakiety:
  libavcodec-extra-53
0 aktualizowanych, 1 nowo instalowanych, 1 usuwanych i 0 nieaktualizowanych.
Konieczne pobranie 3200 kB archiwów.
Po tej operacji zostanie dodatkowo użyte 9216 B miejsca na dysku.

Więc który lepszy zwykły pakiet czy ekstra?


(tomeeek64) #12

Sprawdź, które wpisy są w pliku /etc/apt/sources.list. Wklej wszystkie pozostałe źródła pakietów non-free, które podałem, a których nie masz. Tak, aby były wszystkie przeze mnie podane i aby się nie duplikowały.

 

Pakiet extra prawdopodobnie zawiera w sobie już ten podstawowy. Ja bym zostawił libavcodec-extra-53.


(Chillout) #13

Dziękuje za pomoc. Skonfigurowany i stabilny Debianik już stoi :slight_smile:


(Achcik) #14

Ja jak tylko instaluje jakiegoś linuksa to zawsze robie tak, że do firefoksa nie instaluje w ogóle flasha a dla stron flashowych z których korzystam instaluje chrome, który najnowszego flasha ma wbudowanego:

 

Spod roota albo z sudo:

wget -c https://dl.google.com/linux/direct/google-chrome-stable_current_i386.deb

dpkg -i google-chrome-*.deb

apt-get install -f

(roobal) #15

Flash ogólnie jest zbędny, ja osobiście korzystam z Flasha głównie dla YouTube, a do odtwarzania filmów zamiast Flasha można użyć Mplayer bądź VLC, a jeśli ktoś korzysta tylko z YouTube, zawsze można zainstalować sobie MiniTube. Jak ktoś gra we flashowe gierki lub korzysta z jakiejś aplikacji, to bez wtyczki od Adobe raczej się nie obędzie.